# Card Attributes - V1

{% hint style="warning" %}
**Important Notice:** Clients who are signed up to the Card Management Platform (CMP) should navigate to this [page](https://docs.verygoodsecurity.com/card-management).
{% endhint %}

## Card Attributes Overview - V1 (Legacy)

The VGS Card Attributes Service delivers powerful insights about any card. This service facilitates well-informed, automated decisions in your payment flows using payment credentials. It delivers a comprehensive set of attributes, including card brand, issuer, country, and more. With the data this service delivers, you can make more informed risk decisions, support loyalty programs, and enhance your customers' experience.

The service can deliver attributes from a full PAN, a six-digit IIN, or a card PAN's token/alias from your VGS Vault.

### The anatomy of a card's PAN

There is a lot one can get just from a credit card number. The VGS Card Attributes Service enhances this data with other attributes only available through the use of the Card Attributes Service.

* Major Industry Identifier (MII) (First Digit): This number reveals the card's network and issuing industry. For instance, a "4" indicates Visa, "5" indicates Mastercard, and "6" indicates Discover. The number "3" is usually American Express.
* Issuer Identification Number (IIN) (Digits 1-6): The first digit (MII) is combined with the next five digits from the IIN (also sometimes called BIN). This number is unique to the financial institution, usually a bank or credit union, that issued the card.
* Individual Account Number (Digits 7-15/14): These digits exclusively identify the cardholder account with the card issuer.
* Check Digit (Last Digit): This final number is a security measure. It's calculated using the Luhn algorithm based on the preceding digits. If someone tries to use a fake card number, there's a high chance the check digit won't validate using the Luhn algorithm, alerting the processor of potential fraud.

### Extra attributes available through the Card Attributes Service

The following attributes are available through this service

| Attribute              | Definition                                                                      | Access Level Required |
| ---------------------- | ------------------------------------------------------------------------------- | --------------------- |
| bin                    | bin number                                                                      | Basic                 |
| brand                  | The card brand facilitates payment transactions. Eg: Visa, Mastercard, Discover | Basic                 |
| issuing\_organization  | The bank that issued the card to the customer. Eg: Chase, Bofa, USBank          | Basic                 |
| card\_type             | The type of card that is issued by the issuing bank. Eg: Credit , Debit         | Basic                 |
| card\_category         | Category of Card. Eg: BUSINESS , PREPAID                                        | Basic                 |
| issuing\_country\_name | ISO country name that is associated with an ISO code. Eg: USA, United Kingdom   | Basic                 |
| issuing\_country\_code | Issuing country ISO number: Eg 840 for USA                                      | Basic                 |
| maximum\_pan\_length   | maximum PAN length                                                              | Basic                 |
| card\_commercial\_type | Defines if the BIN is PERSONAL or COMMERCIAL                                    | Basic                 |
| regulation\_status     | Defines if the BIN is regulated or non-regulated                                | Basic                 |
| version                | Date at which the returned data was last updated                                | Basic                 |
| prepaid\_type          | Indicates if the card is a prepaid debit card                                   | Advanced              |
| cobadged\_brands       | Lists the network co-badges of the card, if applicable                          | Advanced              |

### Benefits of using the Card Attributes API in your payments applications

* Enhanced Checkout experience: Retrieve real-time card attributes for pre-filling and enhancing checkout forms.
* Intelligent Payment Orchestration: Intelligent payment routing for faster authorization and lower costs using card-specific data.
* Subscription Payment Management: Identify non-reloadable prepaid cards to optimize subscription payment flows and minimize failed retries.
* Advanced Fraud Detection: Advanced fraud detection using BIN data and other risk factors.
* Streamlined Transaction Troubleshooting: transaction troubleshooting using detailed BIN data and card attributes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verygoodsecurity.com/cmp/developer-resources/api/card-management-v1-apis-calm/card-attributes-v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
